petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCoarsenSetGreedyOrdering

Sets the ordering of the vertices to use with a greedy coarsening method

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenSetGreedyOrdering(MatCoarsen coarser, const IS perm)

Logically Collective on Coarsen Many br

### Input Parameters

| coarser | - the coarsen context Many br
| perm | - vertex ordering of (greedy) algorithm Many br

Many br

### Notes

The IS weights is freed by PETSc, so user has given this to us Many br

### Keywords

Coarsen

### See Also

MatCoarsenCreate(), MatCoarsenSetType()

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages